*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: sans-serif;
}

#video-background {
    position: fixed;
    right: 0;
    top: 0;
    bottom:0;
    min-width: 100%; 
    min-height: 100%;
    z-index: -1;
}

main{
    position: relative; 
    z-index: 1; 
    width: 100%;
    padding: 20px;
    margin: auto;
    margin-top: 100px;
}

.contenedor_todo{
    width: 100%;
    max-width: 800px;
    margin: auto;
    position: relative;
}

.caja_trasera{
    width: 100%;
    padding: 10px 20px;
    display: flex;
    justify-content: center;
    backdrop-filter: blur(10px);
    background-color: rgba(51, 51, 51, 0.5);
}

.caja_trasera div{
    margin: 100px 40px;
    color: aliceblue;
    transition: all 500ms;
}

.caja_trasera div p,
.caja_trasera div button{
    margin-top: 30px;
}

.caja_trasera div h3{
    font-weight: 400;
    font-size: 26px;
}

.caja_trasera button{
    padding: 10px 40px;
    border: 2px solid white;
    background:transparent;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    color: rgb(255, 255, 255);
    outline: none;
    transition: all 300ms;
}

.caja_trasera button:hover{
    background-color: rgb(112, 126, 195);
    color:black;
}

.contenedor_loginRegister{
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 380px;
    position: relative;
    top: -185px;
    left: 10px;

    transition: left 500ms cubic-bezier(0.075, 0.885, 0.320, 1.275);
}

.contenedor_loginRegister form{
    width: 100%;
    padding: 80px 20px;
    background: rgb(72, 98, 132);
    position: absolute;
    border-radius: 20px;
}

.contenedor_loginRegister form h2{
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
    color: rgb(23, 10, 10);
}

.contenedor_loginRegister form input{
    width: 100%;
    margin-top: 20px;
    padding: 10px;
    border: none;
    background: aliceblue;
    font-size: 16px;
    outline: none;
}

.contenedor_loginRegister form button{
    padding: 10px 40px;
    margin-top: 40px;
    border: none;
    font-size: 14px;
    background: rgb(22, 159, 137) ;
    color: white;
    cursor: pointer;
    outline: none;
}

.formulario_login{
    opacity: 1;
    display: block;
}

.formulario_register{
    display: none;
}

@media screen and (max-width: 850px){
    main{
        margin-top: 50px;
    }

    .caja_trasera{
        max-width: 350px;
        height: 300px;
        flex-direction: column;
        margin: auto;
    }

    .caja_trasera div{
        margin: 0px;
        position: absolute;
    }

    .contenedor_loginRegister{
        top: -10px;
        left: -5px;
        margin: auto;
    }

    .contenedor_loginRegister form{
        position: relative;
    }
}